BimpHelp

Projects: Bimp API methods

Bimp API methods for the “Projects” resource (/org2/project/…): 1 method. Base URL: https://app.bimpsoft.com. All requests except login pass the company token in the access-token header — see Getting started with the API.

MethodWhat it does
POST /org2/project/api-readListA request to view a list of projects

api-readList

POST /org2/project/api-readList

A request to view a list of projects

Request body (JSON)

FieldTypeRequiredDescription
paginationobjectyes
pagination.offsetnumberyesBegin from {offset} elements
pagination.countnumberyesLimit of paginated elemets

Response: data field

FieldTypeDescription
[].uuidstring (uuid)
[].namestring
curl -X POST 'https://app.bimpsoft.com/org2/project/api-readList' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'

Interactive documentation with a test request option: https://app.bimpsoft.com/docs. The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.